Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.resources
Class ServiceProviderResource

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.resources.ServiceProviderResource

    public class ServiceProviderResource

extends Object

Constructor Summary
`ServiceProviderResource()`

Method Summary
`javax.ws.rs.core.Response` | `deregisterServiceProvider(String serviceProviderId)`
`Compact` | `getCompact(String serviceProviderId)`
`ServiceProvider` | `getServiceProvider(String serviceProviderId)`
`ServiceProvider[]` | `getServiceProviders()`
`javax.ws.rs.core.Response` | `registerServiceProvider(javax.servlet.http.HttpServletRequest httpServletRequest, ServiceProvider serviceProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProviderResource

    public ServiceProviderResource()

Method Detail

### getServiceProviders

    public ServiceProvider[] getServiceProviders()

### getServiceProvider

    public ServiceProvider getServiceProvider(String serviceProviderId)

### getCompact

    public Compact getCompact(String serviceProviderId)

### registerServiceProvider

    public javax.ws.rs.core.Response registerServiceProvider(@Context
                                                             javax.servlet.http.HttpServletRequest httpServletRequest,
                                                             ServiceProvider serviceProvider)
                                                      throws URISyntaxException

  Throws:
    `URISyntaxException`

### deregisterServiceProvider

    public javax.ws.rs.core.Response deregisterServiceProvider(String serviceProviderId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.